Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1662759 - [abrt] john: strlen(): john killed by SIGSEGV
Summary: [abrt] john: strlen(): john killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: john
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:673390e24534f89d8a841438f9e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-01 18:46 UTC by Sylvain Petreolle
Modified: 2019-05-28 23:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:30:43 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (5.48 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: cgroup (391 bytes, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: core_backtrace (1.77 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: cpuinfo (1.65 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: dso_list (395 bytes, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: environ (5.98 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: exploitable (112 bytes, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: maps (2.30 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: mountinfo (5.31 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: open_fds (210 bytes, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2019-01-01 18:46 UTC, Sylvain Petreolle
no flags Details

Description Sylvain Petreolle 2019-01-01 18:46:00 UTC
Description of problem:
I started john with a one-liner password text to reverse, in "shadow" format.

Version-Release number of selected component:
john-1.8.0-11.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 3
cmdline:        john TODO6CapTheFlag.txt
crash_function: strlen
executable:     /usr/bin/john
journald_cursor: s=a8c712a297424ea9977dd2399e6650c8;i=14db634;b=2b4ba25c68084dd4b2f79a6dc10b81ea;m=99b7530c23;t=57e69c4766074;x=33f4cb93153fe838
kernel:         4.18.11-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 ??
 #1 valid at c3_fmt.c:149
 #2 ldr_split_line at loader.c:393
 #3 ldr_load_pw_line at loader.c:474
 #4 read_file at loader.c:66
 #5 ldr_load_pw_file at loader.c:626
 #6 john_load at john.c:427
 #7 john_init at john.c:554

Comment 1 Sylvain Petreolle 2019-01-01 18:46:02 UTC
Created attachment 1517759 [details]
File: backtrace

Comment 2 Sylvain Petreolle 2019-01-01 18:46:03 UTC
Created attachment 1517760 [details]
File: cgroup

Comment 3 Sylvain Petreolle 2019-01-01 18:46:04 UTC
Created attachment 1517761 [details]
File: core_backtrace

Comment 4 Sylvain Petreolle 2019-01-01 18:46:05 UTC
Created attachment 1517762 [details]
File: cpuinfo

Comment 5 Sylvain Petreolle 2019-01-01 18:46:06 UTC
Created attachment 1517763 [details]
File: dso_list

Comment 6 Sylvain Petreolle 2019-01-01 18:46:08 UTC
Created attachment 1517764 [details]
File: environ

Comment 7 Sylvain Petreolle 2019-01-01 18:46:09 UTC
Created attachment 1517765 [details]
File: exploitable

Comment 8 Sylvain Petreolle 2019-01-01 18:46:10 UTC
Created attachment 1517766 [details]
File: limits

Comment 9 Sylvain Petreolle 2019-01-01 18:46:11 UTC
Created attachment 1517767 [details]
File: maps

Comment 10 Sylvain Petreolle 2019-01-01 18:46:12 UTC
Created attachment 1517768 [details]
File: mountinfo

Comment 11 Sylvain Petreolle 2019-01-01 18:46:13 UTC
Created attachment 1517769 [details]
File: open_fds

Comment 12 Sylvain Petreolle 2019-01-01 18:46:14 UTC
Created attachment 1517770 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-05-02 20:05:14 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 23:30:43 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.